Skip to main content
GET
/
phone-aliases
List phone book contacts
curl --request GET \
  --url https://app.freyavoice.ai/api/v2/phone-aliases \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "contacts": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "numbers": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "phoneNumber": "<string>"
            }
          ],
          "createdAt": "<string>",
          "updatedAt": "<string>"
        }
      ],
      "pagination": {
        "total": 123,
        "limit": 123,
        "offset": 123,
        "hasNext": true,
        "hasPrevious": true
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
string
default:25

Page size

offset
string
default:0

Offset for pagination

filters
string

Base64-encoded filter state

Global search term

sortBy
string

Sort field name

sortOrder
enum<string>

Sort direction

Available options:
asc,
desc
export
string

Set to 'true' to return a file export

exportFormat
enum<string>

Export file format

Available options:
csv,
xlsx,
markdown
exportColumns
string

JSON array of column definitions {id,label}

Response

Phone aliases with pagination

success
enum<boolean>
required
Available options:
true
data
object
required